/* BenAri Concurrent Pascal PCODE Compiler & Interpreter Global Variables */

#if __DEFINING__
TAB_STRUCT  tab[TSIZE];    /* identifier table */
ATAB_STRUCT atab[ASIZE];   /* array table */
BTAB_STRUCT btab[BSIZE];   /* block table */
char  stab[SSIZE];         /* string table */
ORDER code[CSIZE];         /* object code */

PCDEBUG dbg[CSIZE];        /* debugging information about pcode */

FNAME_STRING pcode_fname;

char  comp_proot[]      = {"BACI -- "};

char  pcode_suffix[]    = {".pco"};

TYPENAME typenames[]    = {"notyp","int","bool","char","bsem",
                           "sem","cond","array"};

OBJNAME objnames[]      = {"constant","variable","type","procedure",
                           "function","monitor"};
#else

/* BenAri Concurrent Pascal PCODE Interpreter External Variables */

extern char  comp_proot[];

extern   TAB_STRUCT     tab[];
extern   ATAB_STRUCT    atab[];
extern   BTAB_STRUCT    btab[];
extern   char           stab[];
extern   ORDER          code[];

extern   PCDEBUG        dbg[];        

extern   FNAME_STRING   pcode_fname;

extern   char           pcode_suffix[];

extern   TYPENAME       typenames[];
extern   OBJNAME        objnames[];
extern   char           filename_line[];

#endif

/*
 *
 * $Log: baciglob.h,v $
 * Revision 1.5  1996/03/07  09:15:24  bynum
 * change 'comp_proot' string
 *
 * Revision 1.4  1995/09/05  14:50:45  bynum
 * add PCDEBUG array
 *
 * Revision 1.3  1995/06/30  13:52:29  bynum
 * put 'comp_proot' variable back -- interpreter uses it for a sanity check
 *
 * Revision 1.3  1995/06/30  13:52:29  bynum
 * put 'comp_proot' variable back -- interpreter uses it for a sanity check
 *
 * Revision 1.2  1995/06/22  06:34:10  bynum
 * remove 'comp_proot' string
 *
 * Revision 1.1  1995/06/19  17:07:10  bynum
 * Initial revision
 *
 *
 */
